Bug 508588 - Error in post-command-hook
Error in post-command-hook
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 16:45 EDT by Jan Teichmann
Modified: 2013-03-03 17:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:21:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
emacs message buffer (6.98 KB, application/octet-stream)
2009-06-28 16:45 EDT, Jan Teichmann
no flags Details
my .emacs file (11.58 KB, text/plain)
2009-06-28 16:51 EDT, Jan Teichmann
no flags Details
screenshot of the problem with german umlauts (67.69 KB, image/png)
2009-06-29 12:06 EDT, Jan Teichmann
no flags Details

  None (edit)
Description Jan Teichmann 2009-06-28 16:45:14 EDT
Created attachment 349716 [details]
emacs message buffer

Description of problem:
If I load a .tex file in my emacs, I have the following error message in the messages buffer:
Error in post-command-hook: (wrong-type-argument arrayp nil)

I attach a saved message buffer.
I think this problem is also related to the flyspell mode, because this is loaded with auctex mode and the spell checker also doesn't work. So maybe not a auctex problem. I'm sorry I don't know how to interpret this messages :(

Version-Release number of selected component (if applicable):

GNU Emacs 22.3.1 (x86_64-redhat-linux-gnu, GTK+ Version 2.16.1)
 of 2009-06-11 on xenbuilder4.fedora.phx.redhat.com

and also with:
GNU Emacs 23.1.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.2)
 of 2009-06-28 on fedora

emacs-auctex 11.85-8.fc11

How reproducible:
always 

Steps to Reproduce:
1. start emacs
2. open .tex file
  
Actual results:
- Error message
- no spell checking

Expected results:
- spell checking with flyspell and hunspell in auctex mode

Additional info:
the hunspell config part in my .emacs:

;; Use hunspell instead of ispell
(setq ispell-program-name "hunspell")
(setq ispell-dictionary "de_DE")
Comment 1 Jan Teichmann 2009-06-28 16:51:10 EDT
Created attachment 349717 [details]
my .emacs file
Comment 2 Jonathan Underwood 2009-06-29 10:11:45 EDT
Looks like a flyspell bug. Will investigate.
Comment 3 Jonathan Underwood 2009-06-29 10:33:45 EDT
Reassigning to emacs, since this really does seem to be a flyspell issue. Actually I can't get flyspell to start:

Starting new Ispell process [default] ...
Enabling Flyspell mode gave an error

and that's without auctex mode loaded.
Comment 4 Jan Teichmann 2009-06-29 12:06:13 EDT
Created attachment 349805 [details]
screenshot of the problem with german umlauts
Comment 5 Jan Teichmann 2009-06-29 12:10:14 EDT
so it is a flyspell issue for sure.

on my cvs emacs-23 I tried rw-hunspell.el and the flyspell mode works but I have still problems with german umlauts as can be seen on the screenshot.
Comment 6 Bug Zapper 2010-04-27 11:19:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 09:21:30 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.